Package com.databend.jdbc.cloud

## Class DatabendPresignClientV1

- java.lang.Object
- - com.databend.jdbc.cloud.DatabendPresignClientV1

All Implemented Interfaces:
  `DatabendPresignClient`

    public class DatabendPresignClientV1
    extends Object
    implements DatabendPresignClient

### Constructor Summary

Constructors
`DatabendPresignClientV1​(okhttp3.OkHttpClient client, String uri)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `presignDownload​(String destFileName, okhttp3.Headers headers, String presignedUrl)`
`InputStream` `presignDownloadStream​(okhttp3.Headers headers, String presignedUrl)`
`void` `presignUpload​(File srcFile, InputStream inputStream, String stageName, String relativePath, String name, long fileSize, boolean uploadFromStream)` presignUpload file through databend api instead of presigned url, it should only be adopted if presigned url is not available
`void` `presignUpload​(File srcFile, InputStream inputStream, okhttp3.Headers headers, String presignedUrl, long fileSize, boolean uploadFromStream)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DatabendPresignClientV1

    public DatabendPresignClientV1​(okhttp3.OkHttpClient client,
                                   String uri)

### Method Detail

#### presignUpload

    public void presignUpload​(File srcFile,
                              InputStream inputStream,
                              okhttp3.Headers headers,
                              String presignedUrl,
                              long fileSize,
                              boolean uploadFromStream)
                       throws IOException

Specified by:
  `presignUpload` in interface `DatabendPresignClient`
Throws:
  `IOException`

#### presignUpload

    public void presignUpload​(File srcFile,
                              InputStream inputStream,
                              String stageName,
                              String relativePath,
                              String name,
                              long fileSize,
                              boolean uploadFromStream)
                       throws IOException

Description copied from interface: `DatabendPresignClient`
presignUpload file through databend api instead of presigned url, it should only be adopted if presigned url is not available

Specified by:
  `presignUpload` in interface `DatabendPresignClient`
Parameters:
  `srcFile` - the file to be uploaded
  `inputStream` - the input stream to be uploaded
  `uploadFromStream` - whether the upload is from stream
Throws:
  `IOException`

#### presignDownload

    public void presignDownload​(String destFileName,
                                okhttp3.Headers headers,
                                String presignedUrl)

Specified by:
  `presignDownload` in interface `DatabendPresignClient`

#### presignDownloadStream

    public InputStream presignDownloadStream​(okhttp3.Headers headers,
                                             String presignedUrl)

Specified by:
  `presignDownloadStream` in interface `DatabendPresignClient`